Bug 18957 - Item renewed online does not show the time of renewal
Summary: Item renewed online does not show the time of renewal
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-19 12:05 UTC by Vinod
Modified: 2019-03-08 18:40 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18957: Add tests (1.42 KB, patch)
2019-02-22 14:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18957: Record the time part of the last renewed date (1.07 KB, patch)
2019-02-22 14:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18957: Add tests (1.46 KB, patch)
2019-02-22 15:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18957: Record the time part of the last renewed date (1.12 KB, patch)
2019-02-22 15:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18957: Add tests (1.52 KB, patch)
2019-02-25 09:02 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18957: Record the time part of the last renewed date (1.18 KB, patch)
2019-02-25 09:02 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Vinod 2017-07-19 12:05:01 UTC
Dear All,

I have activated the renewal date in messages, but if a member renewed the book from koha staf client it reflect the Time of renewal but not if book is renewed online. Please suggest (Koha 16.11.07).

Renewal message through Koha staff client : The following Book/s have been renewed on 19/07/2017 10:37:

Renewal Message through OPAC : The following Book/s have been renewed on 19/07/2017 00:00:  (Time is missing here)
Comment 1 Jonathan Druart 2017-10-10 16:03:18 UTC
What notice template are you using for RENEWAL?
Comment 2 Vinod 2017-10-10 16:09:43 UTC
I am using the following template in my defined library

"Dear Patron,

The following Book/s have been renewed on <<issues.lastreneweddate>>:

----
<<biblio.title>>"
----
Comment 3 Jonathan Druart 2017-10-10 16:22:23 UTC
I am seeing
  "The following items have been renewed on 10/10/2017 00:00"
From both OPAC and staff interface.

You must use the "dateonly" filter if you want to get rid of the time part (00:00):
  The following items have been renewed on <<issues.lastreneweddate | dateonly >>
Comment 4 Vinod 2017-10-10 16:29:18 UTC
Ok, But what if i need time part also to have some reason/observation on user activities on renewal time?

At least staff if renewed from staff slient it shows time but not if renewed from OPAC. Hope this may be a genuine bug to resolve.
Comment 5 Jonathan Druart 2017-10-10 16:50:02 UTC
(In reply to Vinod from comment #4)
> At least staff if renewed from staff slient it shows time but not if renewed
> from OPAC.

Are you sure? How? I do not see the time part, even if renewed from the staff side.
Comment 6 Vinod 2017-10-10 18:08:08 UTC
Yes Jonathan, i can see the time when renewed from staff client, but now i have to check the behavior again and i have upgraded to Koha 16.11.11.
Comment 7 Katrin Fischer 2019-02-10 19:16:46 UTC
I've done some tests:
- Renew from OPAC
- Renew from staff: patron account
- Renew from staff: renewal tab

In all cases the time of the renewal was not recorded. The column issues.datelastrenewed is a datetime datatype, so it gets set to 00:00:00. This is a bit irritating.

Maybe we could fix it to record not only the date, but the time as well?
Comment 8 Jonathan Druart 2019-02-22 14:08:58 UTC
Created attachment 85527 [details] [review]
Bug 18957: Add tests
Comment 9 Jonathan Druart 2019-02-22 14:09:02 UTC
Created attachment 85528 [details] [review]
Bug 18957: Record the time part of the last renewed date

issues.lastreneweddate is a datetime and we could record the time part
of the date.

Test plan:
Renew an issue
note that the time part of the last renewed date is set correctly
Comment 10 Owen Leonard 2019-02-22 15:24:09 UTC
Created attachment 85565 [details] [review]
Bug 18957: Add tests

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Owen Leonard 2019-02-22 15:24:12 UTC
Created attachment 85566 [details] [review]
Bug 18957: Record the time part of the last renewed date

issues.lastreneweddate is a datetime and we could record the time part
of the date.

Test plan:
Renew an issue
note that the time part of the last renewed date is set correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 12 Josef Moravec 2019-02-25 09:02:40 UTC
Created attachment 85598 [details] [review]
Bug 18957: Add tests

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 13 Josef Moravec 2019-02-25 09:02:43 UTC
Created attachment 85599 [details] [review]
Bug 18957: Record the time part of the last renewed date

issues.lastreneweddate is a datetime and we could record the time part
of the date.

Test plan:
Renew an issue
note that the time part of the last renewed date is set correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 14 Nick Clemens 2019-02-26 14:40:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 15 Martin Renvoize 2019-03-01 11:03:14 UTC
Pushed to 18.11.x for 18.11.04
Comment 16 Jesse Maseto 2019-03-08 18:40:20 UTC
Doesn't apply cleanly to 18.05.x. Please rebase to 18.05.x if needed.